import Vue from 'vue';
// import ElementUI from 'element-ui';
import App from "./index.vue";
import 'zhc-flowchart/lib/zhc-flowchart.css'
import zhcflowchart from "zhc-flowchart";
import 'zhc-visualstudio/lib/zhc-visualstudio.css'
import { VisualStudioStore as store} from "zhc-visualstudio";
import VisualStudioLayout from "zhc-visualstudio";
//Vue.directive('el-drag-dialog', elDragDialog);//添加标签事件绑定 可以放大移动弹窗
//Vue.component("AttrPanel", AttrPanel);
Vue.use(zhcflowchart);
Vue.use(VisualStudioLayout);
if(process.env.hiui_debug){
  //这样多次引用element
  //hiui调试时用
  //Vue.use(ELEMENT)   
}
Vue.prototype.$ELEMENT = { size: 'mini', zIndex: 3000 };
import contentmenu from "v-contextmenu";
Vue.use(contentmenu);
new Vue({
  el: '#app',
  store,
  render: h => h(App)
})
